## JSCException JSCException — JavaScript exception |

## Functions

JSCException * | jsc_exception_new ()
const char * | jsc_exception_get_message ()
guint | jsc_exception_get_line_number ()
const char * | jsc_exception_get_source_uri ()

## Types and Values

struct | JSCException

## Object Hierarchy

        GObject
        ╰── JSCException

## Description

JSCException represents a JavaScript exception.

## Functions

### jsc_exception_new ()

    JSCException *
    jsc_exception_new (JSCContext *context,
                       const char *message);

Create a new JSCException in `context` with `message` .

#### Parameters

context | a JSCContext |
message | the error message |

#### Returns

a new JSCException.

[transfer full]

### jsc_exception_get_message ()

    const char *
    jsc_exception_get_message (JSCException *exception);

Get the error message of `exception` .

#### Parameters

exception | a JSCException |

#### Returns

the `exception` error message.

### jsc_exception_get_line_number ()

    guint
    jsc_exception_get_line_number (JSCException *exception);

Get the line number at which `exception` happened.

#### Parameters

exception | a JSCException |

#### Returns

the line number of `exception` .

### jsc_exception_get_source_uri ()

    const char *
    jsc_exception_get_source_uri (JSCException *exception);

Get the source URI of `exception` .

#### Parameters

exception | a JSCException |

#### Returns

the the source URI of `exception` , or `NULL`.

[nullable]

## Types and Values

### struct JSCException

    struct JSCException;

## See Also

JSCContext